読者です 読者をやめる 読者になる 読者になる

日々精進

新しく学んだことを書き留めていきます

bundle installを実行すると「Errno::EACCES: Permission denied 」

bundle installを実行すると以下のようなエラーが出てGemのインストールでこけていた。

Installing rake (10.1.0) 
Errno::EACCES: Permission denied - /Users/uname/.rvm/gems/ruby-1.9.3-p392/gems/rake-10.1.0/.gemtest
An error occurred while installing rake (10.1.0), and Bundler cannot continue.
Make sure that `gem install rake -v '10.1.0'` succeeds before bundling.

これは2013-09-20 - 日々精進に書いてある方法で権限の修復をしたら出なくなった。正攻法ではないけど、やってみるといいかも。